#include <iostream>
using namespace std;

int main()
{
   int X;
   cin>>X;
   int Y;
   cin>>Y;
   int broj=0;
   int mnoz=1;
   int x[9];
   for(int i=0; i<9; i++)
   {
       x[i]=0;
   }
   int y[9];
   for(int i=0; i<9; i++)
   {
       y[i]=0;
   }
   int brojac;
   int brojacx=0;
   int brojacy=0;
   while (X>=1)
   {
       x[brojacx]=X%10;
       X=X/10;
       brojacx++;
   }
   while (Y>=1)
   {
       y[brojacy]=Y%10;
       Y=Y/10;
       brojacy++;
   }
   if(brojacx>=brojacy)
   {
       brojac=brojacx;
       for (brojacx; brojacx>0; brojacx--)
       {
           mnoz=mnoz*10;
       }
   }
   else
   {
       brojac=brojacy;
       for (brojacy; brojacy>0; brojacy--)
       {
           mnoz=mnoz*10;
       }
   }
   for (brojac; brojac>=0; brojac--)
   {
       if(x[brojac]>y[brojac])
       {
           broj= broj+x[brojac]*mnoz;
           mnoz=mnoz/10;

       }
       if(x[brojac]==y[brojac])
       {
           if (x[brojac]==0)
           {
               broj= broj+x[brojac]*mnoz;
               mnoz=mnoz/10;
           }
           else
           {
               broj= broj*10+x[brojac]*mnoz*10+x[brojac]*mnoz;
               mnoz=mnoz/10;
           }

       }


       if(x[brojac]<y[brojac])
       {
           broj= broj+y[brojac]*mnoz;
           mnoz=mnoz/10;
       }
   }

   cout<<broj;


}